Delete Documents Produced by Batch
curl --request DELETE \
--url https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/buckets/{bucket_identifier}/batches/{batch_id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Batches
Delete Documents Produced by Batch
Delete all documents that were produced by this batch. Useful for cleaning up documents from batches that produced bad data (e.g. null vectors). Only works for terminal batches.
DELETE
/
v1
/
buckets
/
{bucket_identifier}
/
batches
/
{batch_id}
/
documents
Delete Documents Produced by Batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the bucket.
The unique identifier of the batch.
Response
Successful Response
The response is of type Response Delete Batch Documents V1 Buckets Bucket Identifier Batches Batch Id Documents Delete · object.
Was this page helpful?
⌘I

